Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface XMLCipherParameters

    public interface XMLCipherParameters

Constants

Field Summary
`static java.lang.String` | `AES_128`
`static java.lang.String` | `AES_128_KEYWRAP`
`static java.lang.String` | `AES_192`
`static java.lang.String` | `AES_192_KEYWRAP`
`static java.lang.String` | `AES_256`
`static java.lang.String` | `AES_256_KEYWRAP`
`static java.lang.String` | `DIFFIE_HELLMAN`
`static java.lang.String` | `EXCL_XML_N14C`
`static java.lang.String` | `EXCL_XML_N14C_CMMNTS`
`static java.lang.String` | `N14C_XML`
`static java.lang.String` | `N14C_XML_CMMNTS`
`static java.lang.String` | `RIPEMD_160`
`static java.lang.String` | `RSA_1_5`
`static java.lang.String` | `RSA_OAEP`
`static java.lang.String` | `SHA1`
`static java.lang.String` | `SHA256`
`static java.lang.String` | `SHA512`
`static java.lang.String` | `TRIPLEDES_KEYWRAP`
`static java.lang.String` | `XML_DSIG`

Field Detail

### AES_128

    static final java.lang.String AES_128

See Also:
  Constant Field Values

### AES_256

    static final java.lang.String AES_256

See Also:
  Constant Field Values

### AES_192

    static final java.lang.String AES_192

See Also:
  Constant Field Values

### RSA_1_5

    static final java.lang.String RSA_1_5

See Also:
  Constant Field Values

### RSA_OAEP

    static final java.lang.String RSA_OAEP

See Also:
  Constant Field Values

### DIFFIE_HELLMAN

    static final java.lang.String DIFFIE_HELLMAN

See Also:
  Constant Field Values

### TRIPLEDES_KEYWRAP

    static final java.lang.String TRIPLEDES_KEYWRAP

See Also:
  Constant Field Values

### AES_128_KEYWRAP

    static final java.lang.String AES_128_KEYWRAP

See Also:
  Constant Field Values

### AES_256_KEYWRAP

    static final java.lang.String AES_256_KEYWRAP

See Also:
  Constant Field Values

### AES_192_KEYWRAP

    static final java.lang.String AES_192_KEYWRAP

See Also:
  Constant Field Values

### SHA1

    static final java.lang.String SHA1

See Also:
  Constant Field Values

### SHA256

    static final java.lang.String SHA256

See Also:
  Constant Field Values

### SHA512

    static final java.lang.String SHA512

See Also:
  Constant Field Values

### RIPEMD_160

    static final java.lang.String RIPEMD_160

See Also:
  Constant Field Values

### XML_DSIG

    static final java.lang.String XML_DSIG

See Also:
  Constant Field Values

### N14C_XML

    static final java.lang.String N14C_XML

See Also:
  Constant Field Values

### N14C_XML_CMMNTS

    static final java.lang.String N14C_XML_CMMNTS

See Also:
  Constant Field Values

### EXCL_XML_N14C

    static final java.lang.String EXCL_XML_N14C

See Also:
  Constant Field Values

### EXCL_XML_N14C_CMMNTS

    static final java.lang.String EXCL_XML_N14C_CMMNTS

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD